package com.xzzn.common.core.modbus.domain;


import java.util.List;


public class DeviceConfig {


    private String deviceNumber;
    private String deviceName;
    private String host;
    private int port;
    private long time;
    private int slaveId;
    private boolean enabled;
    private List<TagConfig> tags;
    private List<WriteTagConfig> writeTags;

    public String getDeviceNumber() {
        return deviceNumber;
    }

    public void setDeviceNumber(String deviceNumber) {
        this.deviceNumber = deviceNumber;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public long getTime() {
        return time;
    }

    public void setTime(long time) {
        this.time = time;
    }

    public int getSlaveId() {
        return slaveId;
    }

    public void setSlaveId(int slaveId) {
        this.slaveId = slaveId;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public List<TagConfig> getTags() {
        return tags;
    }

    public void setTags(List<TagConfig> tags) {
        this.tags = tags;
    }

    public List<WriteTagConfig> getWriteTags() {
        return writeTags;
    }

    public void setWriteTags(List<WriteTagConfig> writeTags) {
        this.writeTags = writeTags;
    }
}